Bug 177382 - [PATCH] www/trac: update to 1.0.1
Summary: [PATCH] www/trac: update to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-25 22:10 UTC by William Grzybowski
Modified: 2013-06-10 02:00 UTC (History)
0 users

See Also:


Attachments
trac.patch (7.31 KB, patch)
2013-03-25 22:10 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski 2013-03-25 22:10:00 UTC
	Update to 1.0.1

	PS: I noticed the maintainer has not updated this port himself in a while. I would be happy to take over if you'd like.

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-03-25 22:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-06-02 15:52:01 UTC
Responsible Changed
From-To: clsung->bdrewery

maintainer timeout, take
Comment 3 Bryan Drewery freebsd_committer 2013-06-10 01:57:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-06-10 01:57:27 UTC
Author: bdrewery
Date: Mon Jun 10 00:57:13 2013
New Revision: 320423
URL: http://svnweb.freebsd.org/changeset/ports/320423

Log:
  - Update to 1.0.1 [1]
  - Updates to 0.12.4, 0.12.5 and 1.0.0 were submitted but
    superceded by 1.0.1 [2][3][4]
  
  PR:		ports/177382 [1]
  Submitted by:	William Grzybowski <william88@gmail.com> [1]
  Approved by:	maintainer timeout (8 months)
  PR:		ports/173119 [2]
  Submitted by:	Gea-Suan Lin <gslin@gslin.org> [2]
  PR:		ports/175697 [3]
  Submitted by:	Dmitry <dmitry2006@yandex.ru> [3]
  PR:		ports/173393 [4]
  Submitted by:	Rustem Alimov <rustem.alimov@gmail.com> [4]

Deleted:
  head/www/trac/files/patch-trac__util__daemon.py
Modified:
  head/www/trac/Makefile
  head/www/trac/distinfo
  head/www/trac/pkg-message
  head/www/trac/pkg-plist

Modified: head/www/trac/Makefile
==============================================================================
--- head/www/trac/Makefile	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/Makefile	Mon Jun 10 00:57:13 2013	(r320423)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	trac
-PORTVERSION=	0.12.3
+PORTVERSION=	1.0.1
 CATEGORIES=	www devel python
 MASTER_SITES=	http://ftp.edgewall.com/pub/trac/ \
 		ftp://ftp.edgewall.com/pub/trac/
@@ -11,10 +11,9 @@ DISTNAME=	Trac-${PORTVERSION}
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	An enhanced wiki and issue tracking system for software projects
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.5:${PORTSDIR}/textproc/py-genshi \
-		${PYTHON_PKGNAMEPREFIX}Babel>=0.9:${PORTSDIR}/devel/py-babel
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.5:${PORTSDIR}/textproc/py-genshi \
-		${PYTHON_PKGNAMEPREFIX}Babel>=0.9:${PORTSDIR}/devel/py-babel
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.6:${PORTSDIR}/textproc/py-genshi \
+		${PYTHON_PKGNAMEPREFIX}Babel>=0.9.5:${PORTSDIR}/devel/py-babel
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 OPTIONS_DEFINE=		SILVERCITY DOCUTILS PYGMENTS TZ PGSQL SVN
 OPTIONS_DEFAULT=	SILVERCITY DOCUTILS PYGMENTS TZ SVN
@@ -25,7 +24,7 @@ TZ_DESC=		Process Time Zones
 
 CONFLICTS=	ja-trac-[0-9]*
 
-USE_PYTHON=	2.5+
+USE_PYTHON=	2.7-
 USE_PYDISTUTILS=	easy_install
 PYDISTUTILS_PKGNAME=	Trac
 PYDISTUTILS_NOEGGINFO=	yes
@@ -74,19 +73,22 @@ x-generate-plist:
 		' | ${TR} -s '\n') > temp-pkg-plist
 
 pre-install:
-	@${REINPLACE_CMD} -i '' -e 's|/usr/bin/python|${PYTHON_CMD}|' ${WRKSRC}/cgi-bin/trac.fcgi \
-	    ${WRKSRC}/cgi-bin/trac.cgi
+	@${REINPLACE_CMD} -i '' -e 's|/usr/bin/python|${PYTHON_CMD}|' ${WRKSRC}/contrib/cgi-bin/trac.fcgi \
+	    ${WRKSRC}/contrib/cgi-bin/trac.cgi
 
 post-install:
-	@${MKDIR} ${EXAMPLESDIR}
-. for d in rpm workflow
-	@${MKDIR} ${EXAMPLESDIR}/${d}
-	@${INSTALL_DATA} ${WRKSRC}/contrib/${d}/* ${EXAMPLESDIR}/${d}/
+	@${MKDIR} ${EXAMPLESDIR}/sample-plugins
+	@${MKDIR} ${EXAMPLESDIR}/rpm
+	@${INSTALL_DATA} ${WRKSRC}/contrib/rpm/* ${EXAMPLESDIR}/rpm
+	@${FIND} ${WRKSRC}/contrib -type f -maxdepth 1 -exec ${INSTALL_DATA} {} ${EXAMPLESDIR}/ \;
+. for d in permissions workflow
+	@${MKDIR} ${EXAMPLESDIR}/sample-plugins/${d}
+	@${INSTALL_DATA} ${WRKSRC}/sample-plugins/${d}/* ${EXAMPLESDIR}/sample-plugins/${d}/
 	@${RM} -rf ${WRKSRC}/contrib/${d}
 . endfor
-	@${INSTALL_DATA} ${WRKSRC}/contrib/* ${EXAMPLESDIR}
+	@${INSTALL_DATA} ${WRKSRC}/sample-plugins/*.py ${EXAMPLESDIR}/sample-plugins/
 	@${MKDIR} ${DATADIR}/cgi-bin
-	@${INSTALL_SCRIPT} ${WRKSRC}/cgi-bin/* ${DATADIR}/cgi-bin
+	@${INSTALL_SCRIPT} ${WRKSRC}/contrib/cgi-bin/* ${DATADIR}/cgi-bin
 	@${ECHO_CMD}
 	@${CAT} ${PKGMESSAGE}
 	@${ECHO_CMD}

Modified: head/www/trac/distinfo
==============================================================================
--- head/www/trac/distinfo	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/distinfo	Mon Jun 10 00:57:13 2013	(r320423)
@@ -1,2 +1,2 @@
-SHA256 (Trac-0.12.3.tar.gz) = 0eefacc5ebb91158ed7351b8f9b2eec7f45ce03b692bdc72a3c8061951174506
-SIZE (Trac-0.12.3.tar.gz) = 2239934
+SHA256 (Trac-1.0.1.tar.gz) = 9dd49065696a8d4dfcb1a1af81e51d6bd487f5a1e72b3325c1fe4ecb5c490adb
+SIZE (Trac-1.0.1.tar.gz) = 3479896

Modified: head/www/trac/pkg-message
==============================================================================
--- head/www/trac/pkg-message	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/pkg-message	Mon Jun 10 00:57:13 2013	(r320423)
@@ -1,12 +1,12 @@
 *******************************************************************************
 
-From 0.11.x to 0.12.x
+From 0.12.x to 1.0.x
 ---------------------
 You should be careful to check that the plugins you depend on have
-been ported to 0.12, as they most probably won't work without adaptation
-due to the numerous internal changes that occurred during 0.12 development.
+been ported to 1.0.1, as they most probably won't work without adaptation
+due to the numerous internal changes that occurred during 1.0.1 development.
 
-See:	http://trac.edgewall.org/wiki/TracDev/ApiChanges/0.12
+See:	http://trac.edgewall.org/wiki/TracDev/ApiChanges/1.0
 
 Consult the upgrade instructions at:
 

Modified: head/www/trac/pkg-plist
==============================================================================
--- head/www/trac/pkg-plist	Mon Jun 10 00:48:32 2013	(r320422)
+++ head/www/trac/pkg-plist	Mon Jun 10 00:57:13 2013	(r320423)
@@ -1,31 +1,41 @@
-bin/trac-admin
-bin/tracd
 %%DATADIR%%/cgi-bin/trac.cgi
 %%DATADIR%%/cgi-bin/trac.fcgi
-@dirrm %%DATADIR%%/cgi-bin
-@dirrm %%DATADIR%%
-%%EXAMPLESDIR%%/rpm/installscript
-%%EXAMPLESDIR%%/rpm/makerpm
-%%EXAMPLESDIR%%/workflow/README
-%%EXAMPLESDIR%%/workflow/enterprise-workflow.ini
-%%EXAMPLESDIR%%/workflow/migrate_original_to_basic.py
-%%EXAMPLESDIR%%/workflow/opensource-workflow.ini
-%%EXAMPLESDIR%%/workflow/showworkflow
-%%EXAMPLESDIR%%/workflow/simple-workflow.ini
-%%EXAMPLESDIR%%/workflow/trivial-workflow.ini
-%%EXAMPLESDIR%%/workflow/workflow_parser.py
 %%EXAMPLESDIR%%/README
 %%EXAMPLESDIR%%/bugzilla2trac.py
 %%EXAMPLESDIR%%/checkwiki.py
 %%EXAMPLESDIR%%/emailfilter.py
 %%EXAMPLESDIR%%/htdigest.py
 %%EXAMPLESDIR%%/htpasswd.py
+%%EXAMPLESDIR%%/l10n_diff_index.py
+%%EXAMPLESDIR%%/l10n_reset_en_GB.py
+%%EXAMPLESDIR%%/l10n_revert_lineno_conflicts.py
 %%EXAMPLESDIR%%/migrateticketmodel.py
+%%EXAMPLESDIR%%/rpm/installscript
+%%EXAMPLESDIR%%/rpm/makerpm
+%%EXAMPLESDIR%%/sample-plugins/HelloWorld.py
+%%EXAMPLESDIR%%/sample-plugins/Timestamp.py
+%%EXAMPLESDIR%%/sample-plugins/milestone_to_version.py
+%%EXAMPLESDIR%%/sample-plugins/permissions/debug_perm.py
+%%EXAMPLESDIR%%/sample-plugins/permissions/public_wiki_policy.py
+%%EXAMPLESDIR%%/sample-plugins/permissions/vulnerability_tickets.py
+%%EXAMPLESDIR%%/sample-plugins/revision_links.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/CodeReview.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/DeleteTicket.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/MilestoneOperation.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/StatusFixer.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/VoteOperation.py
+%%EXAMPLESDIR%%/sample-plugins/workflow/enterprise-review-workflow.ini
 %%EXAMPLESDIR%%/sourceforge2trac.py
 %%EXAMPLESDIR%%/trac-pre-commit-hook
 %%EXAMPLESDIR%%/trac-svn-hook
 %%EXAMPLESDIR%%/trac-svn-post-commit-hook.cmd
-@dirrm %%EXAMPLESDIR%%/workflow
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+bin/trac-admin
+bin/tracd
+@dirrm %%DATADIR%%/cgi-bin
+@dirrm %%DATADIR%%
+@dirrm %%EXAMPLESDIR%%/sample-plugins/workflow
+@dirrm %%EXAMPLESDIR%%/sample-plugins/permissions
+@dirrm %%EXAMPLESDIR%%/sample-plugins
 @dirrm %%EXAMPLESDIR%%/rpm
 @dirrm %%EXAMPLESDIR%%
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"